Skip to main content

Connect Account Webhook

POST 

/api/webhooks/stripe/:integration_instance_id

Per-Stripe-account webhook endpoint registered for each connected Stripe account during onboarding. Receives events for that specific connected account (e.g. checkout.session.completed, charge.refunded, charge.dispute.created).

Requires the Stripe-Signature header. The integration instance ID in the URL must match the receiver registered with Stripe.

If the numeric instance id in this URL is registered by more than one SKU.io account, the webhook is refused with 409 ("This webhook target is registered by more than one tenant; reconnect the integration to get its own webhook URL.") and reported, instead of being delivered to one of them. Reconnect to get a per-connection webhook URL.

Request​

Responses​

OK

Response Headers
    Content-Type